<?php

namespace App\Http\Requests\Tenant;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class LiveShowQueueRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'live_status' => [
                'nullable',
                'string',
                Rule::in(['pending', 'approved', 'rejected', 'none', 'expired', 'all']),
            ],
            'per_page' => ['nullable', 'integer', 'min:1', 'max:50'],
        ];
    }
}
